Subject: PROBLEM: Long periods of waiting for output of "ls" or "dir"

From: Josko Poljak <[email-masked]>
Date: Tue, 16 Mar 1999 10:10:44 +0100 (MET)

Hello,

it seems to me that our wu-ftpd has a constant problem with "ls" and
"dir" commands. It does respond to those commands, but sometimes it
takes 5-10 seconds before contents of directory is displayed even
when there is no traffic at the server. 
Also, it is possible to be clients problem, since I tried with 2
different clients, one on SunOS 4.1.3 and other on Solaris 2.5.1 
It seems to me that issuing "ls" or "dir"  at the SunOS 4.1.3
(sometimes) causes these long periods of waiting for directory
listing. If I issue "ls" or "dir" immediately after that on the
Solaris it also needs few seconds to print contents of directory.

Best regards,
             Josko Poljak.
 
---------------------------------------------------------------------------
 Josko Poljak, M.Sc.C.S.
 Dep. of Electronics, Microelectronics, Computing and Intelligent Systems
 Faculty of Electrical Engineering and Computing
 Unska 3, Zagreb 10000, Croatia

                                   tel:    +385 (1) 6129-999 ext. 554
                                   fax:    +385 (1) 6129-653
                                   e-mail: [email-masked]
                                   WWW:    http://www.zemris.fer.hr/~pol/
---------------------------------------------------------------------------